> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-rest-api-guide/api-reference/site-settings/fslogix/profile-container.md).

# Profile Container

## Get

> Retrieve the FSLogix Profile Containers Feature Site Settings.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/FSLogix/ProfileContainer":{"get":{"tags":["2-Site settings/FSLogix//Profile Container"],"summary":"Get","description":"Retrieve the FSLogix Profile Containers Feature Site Settings.","operationId":"244084bf-2c9a-49f2-aca4-de599224dc51","parameters":[{"name":"siteId","in":"query","description":"The Site ID for which to retrieve the FSLogix Profile Containers Feature settings.","schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Success","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/FSLogixFeaturesSettings"}}}},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"FSLogixFeaturesSettings":{"type":"object","properties":{"siteId":{"type":"integer","description":"<para type=\"description\">Site ID to which the FSLogix settings are applied</para>","format":"int32"},"installType":{"$ref":"#/components/schemas/InstallType"},"installOnlineURL":{"type":"string","description":"<para type=\"description\">URL for Online installation</para>","nullable":true},"networkDrivePath":{"type":"string","description":"<para type=\"description\">Path for the Network Drive</para>","nullable":true},"installerFileName":{"type":"string","description":"<para type=\"description\">Name of the Installer file</para>","nullable":true},"replicate":{"type":"boolean","description":"<para type=\"description\">Whether the replication of the settings to other sites is enabled or not</para>"}},"additionalProperties":false,"description":"<para type=\"synopsis\">FSLogix Features Settings</para>\r\n<para type=\"description\"></para>"},"InstallType":{"enum":[["0 = Manually","1 = Online","2 = NetworkDrive","3 = UploadInstall"]],"type":"string","description":"<para type=\"synopsis\">Install Type values.</para>\r\n<para type=\"description\"></para>","format":"int32"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Update

> Update the FSLogix Profile Containers Feature Site Settings.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/FSLogix/ProfileContainer":{"put":{"tags":["2-Site settings/FSLogix//Profile Container"],"summary":"Update","description":"Update the FSLogix Profile Containers Feature Site Settings.","operationId":"077d2575-2501-424d-81fd-030b062a60d5","parameters":[{"name":"siteId","in":"query","description":"The Site ID for which to modify the FSLogix Profile Containers Feature settings.","schema":{"type":"integer","format":"int32"}}],"requestBody":{"description":"FSLogix Features settings.","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/SetFSLogixSettings"}}}},"responses":{"204":{"description":"No Content"},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"SetFSLogixSettings":{"type":"object","properties":{"installType":{"$ref":"#/components/schemas/InstallType"},"installOnlineURL":{"type":"string","description":"<para type=\"description\">Specifies the 'Install Online URL Online'.</para>","nullable":true},"networkDrivePath":{"type":"string","description":"<para type=\"description\">Specifies the 'Network Drive Path'.</para>","nullable":true},"installerFilePath":{"type":"string","description":"<para type=\"description\">Specifies the 'Installer File Path'.</para>","nullable":true},"replicate":{"type":"boolean","description":"<para type=\"description\">Enable or disable replication of settings to other sites.</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Update FSLogix feature settings in the RAS Site</para>\r\n<para type=\"description\"></para>"},"InstallType":{"enum":[["0 = Manually","1 = Online","2 = NetworkDrive","3 = UploadInstall"]],"type":"string","description":"<para type=\"synopsis\">Install Type values.</para>\r\n<para type=\"description\"></para>","format":"int32"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.parallels.com/landing/ras-rest-api-guide/api-reference/site-settings/fslogix/profile-container.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
